Subject: bug#68057: home container: XDG_RUNTIME_DIR doesn't exists, on-first-login script won't execute anything.

From: Mikhail Tsykalov <[email-masked]>
Date: Wed, 27 Dec 2023 13:43:19 +0300

When running "guix home container test-config.scm" (attached) the 
following warning appears on screen:

warning: XDG_RUNTIME_DIR doesn't exists, on-first-login script
won't execute anything.  You can check if xdg runtime directory exists,
XDG_RUNTIME_DIR variable is set to appropriate value and manually execute the
script by running '$HOME/.guix-home/on-first-login'

I don't know if on-first-login does anything useful when run in the 
container, but the warning looks scary.

A lot of users don't hit it because they run shepherd which creates 
XDG_RUNTIME_DIR in the process of creating a command socket.

I think that "guix home container" should create XDG_RUNTIME_DIR by 
itself, since there is no logind in the container.

This warning was discussed before in https://issues.guix.gnu.org/56758.

There was also this IRC discussion 
https://logs.guix.gnu.org/guix/2023-12-27.log#083824 that prompted me to 
file this bugreport.